API Reference
Hanzo Flow API
Hanzo Flow is a visual workflow automation platform for building AI-powered
Hanzo Flow is a visual workflow automation platform for building AI-powered
All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.
curl -H "Authorization: Bearer $HANZO_API_KEY" https://flow.hanzo.ai
| Method | Endpoint | Description |
|---|
GET | /v1/flow/ai-providers | List configured AI providers |
POST | /v1/flow/ai-providers | Add or update an AI provider |
DELETE | /v1/flow/ai-providers/{provider} | Delete an AI provider |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/alerts | List alerts (EE) |
POST | /v1/flow/alerts | Create an alert (EE) |
DELETE | /v1/flow/alerts/{id} | Delete an alert (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/api-keys | List API keys (EE) |
POST | /v1/flow/api-keys | Create an API key (EE) |
DELETE | /v1/flow/api-keys/{id} | Delete an API key (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/app-connections | List app connections |
POST | /v1/flow/app-connections | Upsert an app connection |
GET | /v1/flow/app-connections/owners | List app connection owners |
POST | /v1/flow/app-connections/replace | Replace one connection with another across all flows |
POST | /v1/flow/app-connections/{id} | Update an app connection |
DELETE | /v1/flow/app-connections/{id} | Delete an app connection |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/audit-events | List audit log events (EE) |
| Method | Endpoint | Description |
|---|
POST | /v1/flow/authentication/sign-up | Sign up a new user |
POST | /v1/flow/authentication/sign-in | Sign in with credentials |
GET | /v1/flow/authn/federated/login | Initiate federated authentication (EE) |
POST | /v1/flow/authn/federated/claim | Complete federated authentication (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/custom-domains | List custom domains (EE) |
POST | /v1/flow/custom-domains | Add a custom domain (EE) |
DELETE | /v1/flow/custom-domains/{id} | Remove a custom domain (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/fields | List fields for a table |
POST | /v1/flow/fields | Create a field in a table |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/flags | Get feature flags and configuration |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/flow-runs | List flow runs |
GET | /v1/flow/flow-runs/{id} | Get a flow run by id |
POST | /v1/flow/flow-runs/{id}/requests/{requestId} | Resume a paused flow run with human input |
POST | /v1/flow/flow-runs/bulk/cancel | Bulk cancel running flow runs |
POST | /v1/flow/flow-runs/{id}/retry | Retry a failed flow run |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/flows | List flows |
POST | /v1/flow/flows | Create a flow |
GET | /v1/flow/flows/count | Count flows |
GET | /v1/flow/flows/{id} | Get a flow by id |
POST | /v1/flow/flows/{id} | Apply an operation to a flow |
DELETE | /v1/flow/flows/{id} | Delete a flow |
GET | /v1/flow/flows/{id}/template | Export flow as template |
GET | /v1/flow/step-files | Get a file produced by a flow step |
GET | /v1/flow/human-input/form/{flowId} | Get human input form definition for a flow |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/folders | List folders |
POST | /v1/flow/folders | Create a folder |
GET | /v1/flow/folders/{id} | Get a folder by id |
POST | /v1/flow/folders/{id} | Update a folder |
DELETE | /v1/flow/folders/{id} | Delete a folder |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/git-repos | List connected git repos (EE) |
POST | /v1/flow/git-repos | Connect a git repo for sync (EE) |
DELETE | /v1/flow/git-repos/{id} | Disconnect a git repo (EE) |
POST | /v1/flow/git-repos/{id}/push | Push flows to git (EE) |
POST | /v1/flow/git-repos/{id}/pull | Pull flows from git (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/global-connections | List platform-wide connections (EE) |
POST | /v1/flow/global-connections | Create a global connection (EE) |
POST | /v1/flow/global-connections/{id} | Update a global connection (EE) |
DELETE | /v1/flow/global-connections/{id} | Delete a global connection (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/health | Health check |
GET | /v1/flow/docs | Get auto-generated OpenAPI documentation |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/projects/{projectId}/mcp-server | Get MCP server configuration for a project |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/oauth-apps | List OAuth app configurations (EE) |
POST | /v1/flow/oauth-apps | Upsert an OAuth app (EE) |
DELETE | /v1/flow/oauth-apps/{id} | Delete an OAuth app (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/pieces | List available pieces |
GET | /v1/flow/pieces/categories | List piece categories |
GET | /v1/flow/pieces/versions | List available versions of a piece |
GET | /v1/flow/pieces/registry | Get piece registry metadata |
POST | /v1/flow/pieces/sync | Sync piece metadata from registry |
POST | /v1/flow/pieces/options | Get dynamic property options for a piece action/trigger |
GET | /v1/flow/pieces/{name} | Get piece metadata by name |
GET | /v1/flow/pieces/{scope}/{name} | Get scoped piece metadata |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/platforms/{id} | Get platform settings |
POST | /v1/flow/platforms/{id} | Update platform settings |
GET | /v1/flow/analytics | Get platform analytics data |
GET | /v1/flow/queue-metrics | Get worker queue metrics (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/project-members | List project members (EE) |
POST | /v1/flow/project-members | Add a project member (EE) |
DELETE | /v1/flow/project-members/{id} | Remove a project member (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/project-releases | List releases (EE) |
POST | /v1/flow/project-releases | Create a release (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/project-roles | List project roles (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/projects | List projects |
GET | /v1/flow/projects/{id} | Get a project by id |
POST | /v1/flow/projects/{id} | Update project settings |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/records | List records in a table |
POST | /v1/flow/records | Create a record |
GET | /v1/flow/records/{id} | Get a record |
PATCH | /v1/flow/records/{id} | Update a record |
DELETE | /v1/flow/records/{id} | Delete a record |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/sample-data | Get sample data for a flow step |
POST | /v1/flow/sample-data | Save sample data for a flow step |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/signing-keys | List signing keys (EE) |
POST | /v1/flow/signing-keys | Create a signing key (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/solutions | List packaged solutions (EE) |
POST | /v1/flow/solutions | Create a solution from flows (EE) |
POST | /v1/flow/solutions/{id}/apply | Apply a solution to the project (EE) |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/store-entries | List store entries |
POST | /v1/flow/store-entries | Create or update a store entry |
GET | /v1/flow/store-entries/{key} | Get a store entry by key |
DELETE | /v1/flow/store-entries/{key} | Delete a store entry |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/tables | List tables |
POST | /v1/flow/tables | Create a table |
GET | /v1/flow/tables/{id} | Get a table |
DELETE | /v1/flow/tables/{id} | Delete a table |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/tags | List piece tags |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/templates | List flow templates |
GET | /v1/flow/templates/{id} | Get a template by id |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/todos | List todos |
GET | /v1/flow/todos/{id} | Get a todo |
POST | /v1/flow/todos/{id} | Update a todo |
GET | /v1/flow/todo-activities | List todo activity log |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/trigger-events | List trigger events for a flow |
POST | /v1/flow/test-trigger | Test a trigger and get sample data |
GET | /v1/flow/trigger-runs | List trigger run history |
POST | /v1/flow/app-events/{pieceUrl} | Handle incoming app event for trigger routing |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/user-invitations | List pending invitations |
POST | /v1/flow/user-invitations | Invite a user to a project |
POST | /v1/flow/user-invitations/{id}/accept | Accept an invitation |
| Method | Endpoint | Description |
|---|
GET | /v1/flow/users | List platform users |
GET | /v1/flow/users/{id} | Get user by id |
| Method | Endpoint | Description |
|---|
POST | /v1/flow/webhooks/{flowId} | Receive incoming webhook for a flow trigger |
POST | /v1/flow/webhooks/{flowId}/sync | Receive webhook and wait for flow run result |
GET | /v1/flow/webhooks/{flowId}/simulate | Simulate a webhook to capture sample data |
Hanzo Flow API guide · All Hanzo APIs · OpenAPI spec
How is this guide?